View Issue Details

IDProjectCategoryView StatusLast Update
0001023FreeCADBugpublic2013-07-06 13:22
ReporterwmayerAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0001023: Crash when quitting after using Windows > Tile
DescriptionSteps to reproduce:
1. Create two (or more documents)
2. Use Windows > Tile
3. Create a further document
4. Quit => Crash

This happens with Qt 4.5.3. This might be a Qt bug, however.
TagsNo tags attached.

Activities

wmayer

2013-07-01 15:28

administrator   ~0003317

Stack trace:
     msvcr90d.dll!_NMSG_WRITE(int rterrnum=10) Line 198 C
     msvcr90d.dll!abort() Line 68 C
     FreeCADGuiD.dll!messageHandler(QtMsgType type=QtFatalMsg, const char * msg=0x0000000010a951d8) Line 1375 C++
     QtCored4.dll!qt_message_output(QtMsgType msgType=QtFatalMsg, const char * buf=0x0000000010a951d8) Line 2008 C++
     QtCored4.dll!qFatal(const char * msg=0x00000000672d0408, ...) Line 2241 + 0x35 bytes C++
     QtCored4.dll!qt_assert_x(const char * where=0x0000000065ae9af8, const char * what=0x0000000065ae9b08, const char * file=0x0000000065ae9b20, int line=395) Line 1820 C++
     QtGuid4.dll!QList<QPointer<QMdiSubWindow> >::at(int i=2) Line 395 + 0x55 bytes C++
     QtGuid4.dll!QMdiAreaPrivate::subWindowList(QMdiArea::WindowOrder order=ActivationHistoryOrder, bool reversed=false) Line 1382 + 0x31 bytes C++
     QtGuid4.dll!QMdiAreaPrivate::rearrange(QMdi::Rearranger * rearranger=0x0000000010355000) Line 907 + 0x27 bytes C++
> QtGuid4.dll!QMdiAreaPrivate::arrangeMinimizedSubWindows() Line 958 C++
     QtGuid4.dll!QMdiArea::resizeEvent(QResizeEvent * resizeEvent=0x0000000000b13850) Line 2233 C++
     QtGuid4.dll!QWidget::event(QEvent * event=0x0000000000b13850) Line 7701 C++
     QtGuid4.dll!QFrame::event(QEvent * e=0x0000000000b13850) Line 559 + 0xf bytes C++
     QtGuid4.dll!QAbstractScrollArea::viewportEvent(QEvent * e=0x0000000000b13850) Line 962 + 0xf bytes C++
     QtGuid4.dll!QMdiArea::viewportEvent(QEvent * event=0x0000000000b13850) Line 2345 C++
     QtGuid4.dll!QAbstractScrollAreaPrivate::viewportEvent(QEvent * event=0x0000000000b13850) Line 100 + 0x35 bytes C++
     QtGuid4.dll!QAbstractScrollAreaFilter::eventFilter(QObject * o=0x0000000006038ee0, QEvent * e=0x0000000000b13850) Line 111 + 0x3d bytes C++
     QtCored4.dll!QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b13850) Line 726 + 0x1a bytes C++
     QtGuid4.dll!QApplicationPrivate::notify_helper(QObject * receiver=0x0000000006038ee0, QEvent * e=0x0000000000b13850) Line 4061 + 0x15 bytes C++
     QtGuid4.dll!QApplication::notify(QObject * receiver=0x0000000006038ee0, QEvent * e=0x0000000000b13850) Line 4030 + 0x1d bytes C++
     FreeCADGuiD.dll!Gui::GUIApplication::notify(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b13850) Line 1510 + 0x1e bytes C++
     QtCored4.dll!QCoreApplication::notifyInternal(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b13850) Line 610 + 0x26 bytes C++
     QtCored4.dll!QCoreApplication::sendEvent(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b13850) Line 213 + 0x50 bytes C++
     QtGuid4.dll!QWidgetPrivate::setGeometry_sys(int x=0, int y=0, int w=1555, int h=646, bool isMove=false) Line 1546 C++
     QtGuid4.dll!QWidget::setGeometry(const QRect & r={...}) Line 6238 C++
     QtGuid4.dll!QAbstractScrollAreaPrivate::layoutChildren() Line 459 + 0x35 bytes C++
     QtGuid4.dll!QAbstractScrollArea::setViewportMargins(int left=0, int top=0, int right=0, int bottom=24) Line 843 C++
     QtGuid4.dll!QMdiAreaPrivate::updateTabBarGeometry() Line 1606 C++
     QtGuid4.dll!QMdiAreaPrivate::updateActiveWindow(int removedIndex=1, bool activeRemoved=false) Line 1101 C++
     QtGuid4.dll!QMdiArea::viewportEvent(QEvent * event=0x0000000000b149c8) Line 2328 C++
     QtGuid4.dll!QAbstractScrollAreaPrivate::viewportEvent(QEvent * event=0x0000000000b149c8) Line 100 + 0x35 bytes C++
     QtGuid4.dll!QAbstractScrollAreaFilter::eventFilter(QObject * o=0x0000000006038ee0, QEvent * e=0x0000000000b149c8) Line 111 + 0x3d bytes C++
     QtCored4.dll!QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b149c8) Line 726 + 0x1a bytes C++
     QtGuid4.dll!QApplicationPrivate::notify_helper(QObject * receiver=0x0000000006038ee0, QEvent * e=0x0000000000b149c8) Line 4061 + 0x15 bytes C++
     QtGuid4.dll!QApplication::notify(QObject * receiver=0x0000000006038ee0, QEvent * e=0x0000000000b149c8) Line 4030 + 0x1d bytes C++
     FreeCADGuiD.dll!Gui::GUIApplication::notify(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b149c8) Line 1510 + 0x1e bytes C++
     QtCored4.dll!QCoreApplication::notifyInternal(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b149c8) Line 610 + 0x26 bytes C++
     QtCored4.dll!QCoreApplication::sendEvent(QObject * receiver=0x0000000006038ee0, QEvent * event=0x0000000000b149c8) Line 213 + 0x50 bytes C++
     QtCored4.dll!QObjectPrivate::setParent_helper(QObject * o=0x0000000000000000) Line 1864 + 0x16 bytes C++
     QtCored4.dll!QObject::~QObject() Line 848 C++
     QtGuid4.dll!QWidget::~QWidget() Line 1380 + 0x2c bytes C++
     QtGuid4.dll!QMdiSubWindow::~QMdiSubWindow() Line 2292 + 0xa bytes C++
     FreeCADGuiD.dll!QMdiSubWindow::`scalar deleting destructor'() + 0x32 bytes C++
     FreeCADGuiD.dll!Gui::MDIView::deleteSelf() Line 82 + 0x31 bytes C++
     FreeCADGuiD.dll!Gui::Document::~Document() Line 169 + 0x2b bytes C++
     FreeCADGuiD.dll!Gui::Document::`vector deleting destructor'() + 0x7f bytes C++
     FreeCADGuiD.dll!std::auto_ptr<Gui::Document>::~auto_ptr<Gui::Document>() Line 718 + 0x34 bytes C++
     FreeCADGuiD.dll!Gui::Application::slotDeleteDocument(const App::Document & Doc={...}) Line 649 + 0xa bytes C++
     FreeCADGuiD.dll!boost::_mfi::mf1<void,Gui::Application,App::Document const & __ptr64>::operator()(Gui::Application * p=0x0000000000b1dbb0, const App::Document & a1={...}) Line 163 C++
     FreeCADGuiD.dll!boost::_bi::list2<boost::_bi::value<Gui::Application * __ptr64>,boost::arg<1> >::operator()<boost::_mfi::mf1<void,Gui::Application,App::Document const & __ptr64>,boost::_bi::list1<App::Document const & __ptr64> >(boost::_bi::type<void> __formal={...}, boost::_mfi::mf1<void,Gui::Application,App::Document const &> & f={...}, boost::_bi::list1<App::Document const &> & a={...}, boost::_bi::type<void> __formal={...}) Line 307 C++
     FreeCADGuiD.dll!boost::_bi::bind_t<void,boost::_mfi::mf1<void,Gui::Application,App::Document const & __ptr64>,boost::_bi::list2<boost::_bi::value<Gui::Application * __ptr64>,boost::arg<1> > >::operator()<App::Document>(const App::Document & a1={...}) Line 48 C++
     FreeCADGuiD.dll!boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void,boost::_mfi::mf1<void,Gui::Application,App::Document const & __ptr64>,boost::_bi::list2<boost::_bi::value<Gui::Application * __ptr64>,boost::arg<1> > >,void,App::Document const & __ptr64>::invoke(boost::detail::function::function_buffer & function_obj_ptr={...}, const App::Document & a0={...}) Line 154 C++
     FreeCADAppD.dll!boost::function1<void,App::Document const & __ptr64>::operator()(const App::Document & a0={...}) Line 1014 C++
     FreeCADAppD.dll!boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >::operator()<boost::signals::detail::connection_slot_pair>(const boost::signals::detail::connection_slot_pair & slot={...}) Line 120 C++
     FreeCADAppD.dll!boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator>::dereference() Line 61 + 0x23 bytes C++
     FreeCADAppD.dll!boost::iterator_core_access::dereference<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator> >(const boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const &,boost::function<void __cdecl(App::Document const &)> >,boost::signals::detail::named_slot_map_iterator> & f={...}) Line 517 C++
     FreeCADAppD.dll!boost::iterator_facade<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator>,boost::signals::detail::unusable,boost::single_pass_traversal_tag,boost::signals::detail::unusable const & __ptr64,__int64>::operator*() Line 635 C++
     FreeCADAppD.dll!boost::detail::postfix_increment_proxy<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator> >::postfix_increment_proxy<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator> >(const boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const &,boost::function<void __cdecl(App::Document const &)> >,boost::signals::detail::named_slot_map_iterator> & x={...}) Line 145 + 0x32 bytes C++
     FreeCADAppD.dll!boost::operator++<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator>,boost::signals::detail::unusable,boost::single_pass_traversal_tag,boost::signals::detail::unusable const & __ptr64,__int64>(boost::iterator_facade<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const &,boost::function<void __cdecl(App::Document const &)> >,boost::signals::detail::named_slot_map_iterator>,boost::signals::detail::unusable,boost::single_pass_traversal_tag,boost::signals::detail::unusable const &,__int64> & i={...}, int __formal=0) Line 734 C++
     FreeCADAppD.dll!boost::last_value<void>::operator()<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const & __ptr64,boost::function<void __cdecl(App::Document const & __ptr64)> >,boost::signals::detail::named_slot_map_iterator> >(boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const &,boost::function<void __cdecl(App::Document const &)> >,boost::signals::detail::named_slot_map_iterator> * first=0x0000000000b156b0, boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound1<void>::caller<App::Document const &,boost::function<void __cdecl(App::Document const &)> >,boost::signals::detail::named_slot_map_iterator> * last=0x0000000000b15498) Line 49 + 0x12 bytes C++
     FreeCADAppD.dll!boost::signal1<void,App::Document const & __ptr64,boost::last_value<void>,int,std::less<int>,boost::function<void __cdecl(App::Document const & __ptr64)> >::operator()(const App::Document & a1={...}) Line 354 + 0x232 bytes C++
     FreeCADAppD.dll!App::Application::closeDocument(const char * name=0x000000000c51a1f8) Line 322 C++
     FreeCADGuiD.dll!Gui::Application::tryClose(QCloseEvent * e=0x0000000000b16d50) Line 934 C++
     FreeCADGuiD.dll!Gui::MainWindow::closeEvent(QCloseEvent * e=0x0000000000b16d50) Line 1107 C++
     QtGuid4.dll!QWidget::event(QEvent * event=0x0000000000b16d50) Line 7705 C++
     QtGuid4.dll!QMainWindow::event(QEvent * event=0x0000000000b16d50) Line 1400 C++
     FreeCADGuiD.dll!Gui::MainWindow::event(QEvent * e=0x0000000000b16d50) Line 633 C++
     QtGuid4.dll!QApplicationPrivate::notify_helper(QObject * receiver=0x0000000000b1dfc8, QEvent * e=0x0000000000b16d50) Line 4065 + 0x15 bytes C++
     QtGuid4.dll!QApplication::notify(QObject * receiver=0x0000000000b1dfc8, QEvent * e=0x0000000000b16d50) Line 4030 + 0x1d bytes C++
     FreeCADGuiD.dll!Gui::GUIApplication::notify(QObject * receiver=0x0000000000b1dfc8, QEvent * event=0x0000000000b16d50) Line 1510 + 0x1e bytes C++
     QtCored4.dll!QCoreApplication::notifyInternal(QObject * receiver=0x0000000000b1dfc8, QEvent * event=0x0000000000b16d50) Line 610 + 0x26 bytes C++
     QtCored4.dll!QCoreApplication::sendEvent(QObject * receiver=0x0000000000b1dfc8, QEvent * event=0x0000000000b16d50) Line 213 + 0x50 bytes C++
     QtGuid4.dll!QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode mode=CloseWithEvent) Line 7128 C++
     QtGuid4.dll!QWidget::close() Line 7199 C++
     FreeCADGuiD.dll!StdCmdQuit::activated(int iMsg=0) Line 708 C++
     FreeCADGuiD.dll!Gui::Command::invoke(int i=0) Line 288 + 0x1d bytes C++
     FreeCADGuiD.dll!Gui::Action::onActivated() Line 93 C++
     FreeCADGuiD.dll!Gui::Action::qt_metacall(QMetaObject::Call _c=InvokeMetaMethod, int _id=0, void * * _a=0x0000000000b17110) Line 67 + 0x10 bytes C++
     QtCored4.dll!QMetaObject::activate(QObject * sender=0x0000000006364930, int from_signal_index=5, int to_signal_index=6, void * * argv=0x0000000000b17110) Line 3104 + 0x4f bytes C++
     QtCored4.dll!QMetaObject::activate(QObject * sender=0x0000000006364930, const QMetaObject * m=0x0000000065e92e60, int from_local_signal_index=1, int to_local_signal_index=2, void * * argv=0x0000000000b17110) Line 3199 C++
     QtGuid4.dll!QAction::triggered(bool _t1=false) Line 237 C++
     QtGuid4.dll!QAction::activate(QAction::ActionEvent event=Trigger) Line 1169 C++
     QtGuid4.dll!QMenuPrivate::activateCausedStack(const QList<QPointer<QWidget> > & causedStack={...}, QAction * action=0x0000000006364930, QAction::ActionEvent action_e=Trigger, bool self=true) Line 969 C++
     QtGuid4.dll!QMenuPrivate::activateAction(QAction * action=0x0000000006364930, QAction::ActionEvent action_e=Trigger, bool self=true) Line 1063 C++
     QtGuid4.dll!QMenu::mouseReleaseEvent(QMouseEvent * e=0x0000000000b181f8) Line 2260 C++
     QtGuid4.dll!QWidget::event(QEvent * event=0x0000000000b181f8) Line 7555 C++
     QtGuid4.dll!QMenu::event(QEvent * e=0x0000000000b181f8) Line 2359 C++
     QtGuid4.dll!QApplicationPrivate::notify_helper(QObject * receiver=0x000000000edbf520, QEvent * e=0x0000000000b181f8) Line 4065 + 0x15 bytes C++
     QtGuid4.dll!QApplication::notify(QObject * receiver=0x000000000edbf520, QEvent * e=0x0000000000b181f8) Line 3767 + 0x51 bytes C++
     FreeCADGuiD.dll!Gui::GUIApplication::notify(QObject * receiver=0x000000000edbf520, QEvent * event=0x0000000000b181f8) Line 1510 + 0x1e bytes C++
     QtCored4.dll!QCoreApplication::notifyInternal(QObject * receiver=0x000000000edbf520, QEvent * event=0x0000000000b181f8) Line 610 + 0x26 bytes C++
     QtCored4.dll!QCoreApplication::sendSpontaneousEvent(QObject * receiver=0x000000000edbf520, QEvent * event=0x0000000000b181f8) Line 216 + 0x4c bytes C++
     QtGuid4.dll!QApplicationPrivate::sendMouseEvent(QWidget * receiver=0x000000000edbf520, QMouseEvent * event=0x0000000000b181f8, QWidget * alienWidget=0x0000000000000000, QWidget * nativeWidget=0x000000000edbf520, QWidget * * buttonDown=0x0000000065e94a10, QPointer<QWidget> & lastMouseReceiver={...}) Line 2924 + 0x16 bytes C++
     QtGuid4.dll!QETWidget::translateMouseEvent(const tagMSG & msg={...}) Line 3197 + 0x3a bytes C++
     QtGuid4.dll!QtWndProc(HWND__ * hwnd=0x0000000000290c2c, unsigned int message=514, unsigned __int64 wParam=0, __int64 lParam=24445010) Line 1667 + 0x15 bytes C++
     user32.dll!UserCallWinProcCheckWow() + 0x11d bytes
     user32.dll!DispatchMessageWorker() + 0x12a bytes
     QtCored4.dll!QEventDispatcherWin32::processEvents(QFlags<enum QEventLoop::ProcessEventsFlag> * flags=0x0000000000b1d830) Line 751 + 0x1a bytes C++
     QtGuid4.dll!QGuiEventDispatcherWin32::processEvents(QFlags<enum QEventLoop::ProcessEventsFlag> * flags=0x0000000000b1d87c) Line 1182 + 0x27 bytes C++
     QtCored4.dll!QEventLoop::processEvents(QFlags<enum QEventLoop::ProcessEventsFlag> * flags=0x0000000000b1d8e8) Line 150 C++
     QtCored4.dll!QEventLoop::exec(QFlags<enum QEventLoop::ProcessEventsFlag> * flags=0x0000000000b1d970) Line 201 + 0x53 bytes C++
     QtCored4.dll!QCoreApplication::exec() Line 888 + 0x23 bytes C++
     QtGuid4.dll!QApplication::exec() Line 3526 C++
     FreeCADGuiD.dll!Gui::Application::runApplication() Line 1766 + 0x6 bytes C++
     FreeCADD.exe!main(int argc=1, char * * argv=0x0000000004d7f0c0) Line 311 C++
     FreeCADD.exe!WinMain(HINSTANCE__ * instance=0x000000013ffb0000, HINSTANCE__ * prevInstance=0x0000000000000000, char * __formal=0x0000000000cb55ef, int cmdShow=1) Line 137 + 0x16 bytes C++
     FreeCADD.exe!__tmainCRTStartup() Line 574 + 0x42 bytes C
     FreeCADD.exe!WinMainCRTStartup() Line 399 C
     kernel32.dll!BaseThreadInitThunk() + 0xd bytes
     ntdll.dll!RtlUserThreadStart() + 0x21 bytes

wmayer

2013-07-06 12:03

administrator   ~0003337

Also happens with Qt 4.8.1 under Ubuntu 12.04

wmayer

2013-07-06 13:22

administrator   ~0003338

git show 267c8ad

Issue History

Date Modified Username Field Change
2013-02-21 09:34 wmayer New Issue
2013-07-01 11:11 wmayer Status new => assigned
2013-07-01 11:11 wmayer Assigned To => wmayer
2013-07-01 15:28 wmayer Note Added: 0003317
2013-07-06 12:03 wmayer Note Added: 0003337
2013-07-06 13:22 wmayer Note Added: 0003338
2013-07-06 13:22 wmayer Status assigned => closed
2013-07-06 13:22 wmayer Resolution open => fixed
2013-07-06 13:22 wmayer Fixed in Version => 0.14